Bug 593266 - There is no XML tag for specifying hard disk serial number
Summary: There is no XML tag for specifying hard disk serial number
Status: CLOSED NOTABUG
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt   
(Show other bugs)
Version: unspecified
Hardware: All
OS: All
low
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-18 11:53 UTC by Коренберг Марк
Modified: 2010-05-24 12:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 13:29:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Коренберг Марк 2010-05-18 11:53:15 UTC
There is no XML tag for specifying hard disk serial number
KVM supports this, but lack of support from libvirt.

It's very useful for virtualizing software which binds activation keys to HDD serial number. We have one.


Also (less important), there are no XML tags for specifying other hardware identifications: CPU serial number, CPU name, Motherboard name/serial and so on.

Comment 1 Daniel Berrange 2010-05-18 13:29:13 UTC
The seiral number is supported by the '<serial>VALUE</serial>' tag within the <disk>. For example:

    <disk type='block' device='disk'>
      <driver name='qemu' type='qcow2'/>
      <source dev='/dev/HostVG/QEMUGuest1'/>
      <target dev='hda' bus='ide'/>
      <shareable/>
      <serial>XYZXYZXYZYXXYZYZYXYZY</serial>
      <address type='drive' controller='0' bus='0' unit='0'/>
    </disk>

CPU name/serial is governed by the choice of -cpu arg given to QEMU, whcih is exposed via the <cpu> element in libvirt XML

http://berrange.com/posts/2010/02/15/guest-cpu-model-configuration-in-libvirt-with-qemukvm/

The other fields mentioned are fixed in the QEMU BIOS.

Comment 2 Коренберг Марк 2010-05-18 14:08:43 UTC
Huge thanks!

Please update documentation so far
http://www.libvirt.org/formatstorage.html


If that resource is not source of documentation, where to look ?

Comment 3 Коренберг Марк 2010-05-18 14:10:53 UTC
http://www.libvirt.org/formatdomain.html
No information here too

Comment 4 Коренберг Марк 2010-05-24 12:41:29 UTC
I have Ubuntu 9.10.

after virsh edit and adding serial number, it disappear!!
starting from which version, <serial> tag is supported ?

Comment 5 Daniel Berrange 2010-05-24 12:48:52 UTC
From libvirt-0.7.1


Note You need to log in before you can comment on or make changes to this bug.